<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy Map3D</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_map3_d.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pri-methods">Metody prywatne</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="class_map3_d-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy Map3D</div></div>
</div><!--header-->
<div class="contents">

<p>Opakowanie okna z obiektami trójwymiarowymi.  
 <a href="class_map3_d.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="_map3_d_8hpp_source.html">Map3D.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla Map3D</div>
<div class="dyncontent">
<div class="center"><img src="class_map3_d__inherit__graph.png" border="0" usemap="#a_map3_d_inherit__map" alt="Inheritance graph"/></div>
<map name="a_map3_d_inherit__map" id="a_map3_d_inherit__map">
<area shape="rect" title="Opakowanie okna z obiektami trójwymiarowymi." alt="" coords="27,152,90,177"/>
<area shape="rect" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji." alt="" coords="5,79,112,104"/>
<area shape="poly" title=" " alt="" coords="61,118,61,152,56,152,56,118"/>
<area shape="rect" title=" " alt="" coords="24,5,93,31"/>
<area shape="poly" title=" " alt="" coords="61,44,61,79,56,79,56,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla Map3D:</div>
<div class="dyncontent">
<div class="center"><img src="class_map3_d__coll__graph.png" border="0" usemap="#a_map3_d_coll__map" alt="Collaboration graph"/></div>
<map name="a_map3_d_coll__map" id="a_map3_d_coll__map">
<area shape="rect" title="Opakowanie okna z obiektami trójwymiarowymi." alt="" coords="81,181,143,207"/>
<area shape="rect" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji." alt="" coords="5,93,112,119"/>
<area shape="poly" title=" " alt="" coords="75,129,107,179,102,182,71,132"/>
<area shape="rect" title=" " alt="" coords="24,5,93,31"/>
<area shape="poly" title=" " alt="" coords="61,45,61,93,56,93,56,45"/>
<area shape="rect" href="class_viewer.html" title="Okno z modelami trójwymiarowymi." alt="" coords="137,93,199,119"/>
<area shape="poly" title=" " alt="" coords="155,132,122,182,118,179,151,129"/>
<area shape="rect" title=" " alt="" coords="120,5,211,31"/>
<area shape="poly" title=" " alt="" coords="169,44,170,93,165,93,163,45"/>
<area shape="rect" href="class_robot_model.html" title="Trójwymiarowy model robota." alt="" coords="235,5,325,31"/>
<area shape="poly" title=" " alt="" coords="255,41,185,95,182,91,252,37"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:abad559ba63171f87aaf6a2574d3c3dd5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_map3_d.html#abad559ba63171f87aaf6a2574d3c3dd5">Map3D</a> (const char *map_title, QWidget *parent=nullptr)</td></tr>
<tr class="memdesc:abad559ba63171f87aaf6a2574d3c3dd5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt klasy <a class="el" href="class_map3_d.html" title="Opakowanie okna z obiektami trójwymiarowymi.">Map3D</a>.  <br /></td></tr>
<tr class="separator:abad559ba63171f87aaf6a2574d3c3dd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf51a6397305a161ddffa25e06eaa18f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_map3_d.html#aaf51a6397305a161ddffa25e06eaa18f">moveRobot</a> (int left, int right, int time_interval)</td></tr>
<tr class="memdesc:aaf51a6397305a161ddffa25e06eaa18f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Przekazuje dane ruchu do modelu robota.  <br /></td></tr>
<tr class="separator:aaf51a6397305a161ddffa25e06eaa18f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1db43c016f502a56149a6fe3acdd365"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_map3_d.html#af1db43c016f502a56149a6fe3acdd365">passMeasure</a> (int new_measure, int index)</td></tr>
<tr class="memdesc:af1db43c016f502a56149a6fe3acdd365"><td class="mdescLeft">&#160;</td><td class="mdescRight">Przekazuje robotowi odczyt z danego czujnika.  <br /></td></tr>
<tr class="separator:af1db43c016f502a56149a6fe3acdd365"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80745e5f188844063a60711d1c28ceb1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_map3_d.html#a80745e5f188844063a60711d1c28ceb1">refresh</a> ()</td></tr>
<tr class="memdesc:a80745e5f188844063a60711d1c28ceb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Odświeża widok w oknie grafiki.  <br /></td></tr>
<tr class="separator:a80745e5f188844063a60711d1c28ceb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad29147f780b915a93ea20e2219ebde1d"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_map3_d.html#ad29147f780b915a93ea20e2219ebde1d">returnRobotDistance</a> ()</td></tr>
<tr class="memdesc:ad29147f780b915a93ea20e2219ebde1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zwraca całkowitą odległość przebytą przez robota.  <br /></td></tr>
<tr class="separator:ad29147f780b915a93ea20e2219ebde1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_framed_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_framed_widget')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_framed_widget.html">FramedWidget</a></td></tr>
<tr class="memitem:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a1c6f4531fc17c8cd36c229a3a4f9175f">FramedWidget</a> ()</td></tr>
<tr class="memdesc:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor domyślny.  <br /></td></tr>
<tr class="separator:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a257d943892d078be53e1ca628405c98b">FramedWidget</a> (const char *widget_title, QWidget *parent)</td></tr>
<tr class="memdesc:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>.  <br /></td></tr>
<tr class="separator:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">changeTitle</a> (QString new_title)</td></tr>
<tr class="memdesc:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zmienia nazwę widgetu / tłumaczy nazwę  <br /></td></tr>
<tr class="separator:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a40856bf6e5c17e55a9e35e24f1b9eb9f">~FramedWidget</a> ()</td></tr>
<tr class="memdesc:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wirtualny destruktor.  <br /></td></tr>
<tr class="separator:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Metody prywatne</h2></td></tr>
<tr class="memitem:a040d312358c64b62f6e02e8c01872fe3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_map3_d.html#a040d312358c64b62f6e02e8c01872fe3">setStoredWidget</a> () override</td></tr>
<tr class="memdesc:a040d312358c64b62f6e02e8c01872fe3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje widgety pochodne.  <br /></td></tr>
<tr class="separator:a040d312358c64b62f6e02e8c01872fe3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa23ceb64ab792b7873d80b070c20f066"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_map3_d.html#aa23ceb64ab792b7873d80b070c20f066">setVLayout</a> () override</td></tr>
<tr class="memdesc:aa23ceb64ab792b7873d80b070c20f066"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia widget'y pochodne w pionie.  <br /></td></tr>
<tr class="separator:aa23ceb64ab792b7873d80b070c20f066"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:a5ade1d2cb83558dd53329fb1eca1ec20"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_viewer.html">Viewer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_map3_d.html#a5ade1d2cb83558dd53329fb1eca1ec20">map</a></td></tr>
<tr class="memdesc:a5ade1d2cb83558dd53329fb1eca1ec20"><td class="mdescLeft">&#160;</td><td class="mdescRight">Okno do wyświetlania grafiki 3D.  <br /></td></tr>
<tr class="separator:a5ade1d2cb83558dd53329fb1eca1ec20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac560249dab7296b25ef7ce2a25902d55"><td class="memItemLeft" align="right" valign="top">QWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_map3_d.html#ac560249dab7296b25ef7ce2a25902d55">map_container</a></td></tr>
<tr class="memdesc:ac560249dab7296b25ef7ce2a25902d55"><td class="mdescLeft">&#160;</td><td class="mdescRight">Kontener na okno z grafiką  <br /></td></tr>
<tr class="separator:ac560249dab7296b25ef7ce2a25902d55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9139711c985ad185f92c016c48620657"><td class="memItemLeft" align="right" valign="top">QVBoxLayout *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_map3_d.html#a9139711c985ad185f92c016c48620657">map_container_layout</a></td></tr>
<tr class="memdesc:a9139711c985ad185f92c016c48620657"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zarządca wertykalny.  <br /></td></tr>
<tr class="separator:a9139711c985ad185f92c016c48620657"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Dodatkowe Dziedziczone Składowe</h2></td></tr>
<tr class="inherit_header pub_attribs_class_framed_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_framed_widget')"><img src="closed.png" alt="-"/>&#160;Atrybuty publiczne dziedziczone z <a class="el" href="class_framed_widget.html">FramedWidget</a></td></tr>
<tr class="memitem:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="memItemLeft" align="right" valign="top">QLabel *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a></td></tr>
<tr class="memdesc:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tytuł widgetu.  <br /></td></tr>
<tr class="separator:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="memItemLeft" align="right" valign="top">QVBoxLayout *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a></td></tr>
<tr class="memdesc:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zarządca geometrii wertykalnej.  <br /></td></tr>
<tr class="separator:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef2985a3761269e6e076651131bc1fb6"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">setVLayout</a> ()=0</td></tr>
<tr class="memdesc:aef2985a3761269e6e076651131bc1fb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia przechowywane widgety w pionie.  <br /></td></tr>
<tr class="separator:aef2985a3761269e6e076651131bc1fb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcbce7540975ea1dee22fb0b8bb8109e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">setStoredWidget</a> ()=0</td></tr>
<tr class="memdesc:abcbce7540975ea1dee22fb0b8bb8109e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nadaje odpowiednie parametry widgetowi.  <br /></td></tr>
<tr class="separator:abcbce7540975ea1dee22fb0b8bb8109e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Dziedziczy po klasie <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>, co nadaje całemu obiektowi obramowanie oraz wprowadza tytuł okna. </p>

<p class="definition">Definicja w linii <a class="el" href="_map3_d_8hpp_source.html#l00022">22</a> pliku <a class="el" href="_map3_d_8hpp_source.html">Map3D.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="abad559ba63171f87aaf6a2574d3c3dd5" name="abad559ba63171f87aaf6a2574d3c3dd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abad559ba63171f87aaf6a2574d3c3dd5">&#9670;&#160;</a></span>Map3D()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Map3D::Map3D </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>map_title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wymusza wywołanie konstruktora klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>, przekazując mu tytuł widgetu oraz wskaźnik na widget będący rodzicem. Tworzy dynamicznie przechowywane atrybuty i wywołuje metody, które przygotowywują widgety do wyświetlenia w oknie głównym (pod- danie elementów zarządcom geometrii).</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">map_title</td><td>- tytuł widget'u wyświetlany na samej górze </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">parent</td><td>- wskaźnik na widget będący rodzicem </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_map3_d_8cpp_source.html#l00020">20</a> pliku <a class="el" href="_map3_d_8cpp_source.html">Map3D.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_map3_d_abad559ba63171f87aaf6a2574d3c3dd5_cgraph.png" border="0" usemap="#aclass_map3_d_abad559ba63171f87aaf6a2574d3c3dd5_cgraph" alt=""/></div>
<map name="aclass_map3_d_abad559ba63171f87aaf6a2574d3c3dd5_cgraph" id="aclass_map3_d_abad559ba63171f87aaf6a2574d3c3dd5_cgraph">
<area shape="rect" title="Inicjalizuje obiekt klasy Map3D." alt="" coords="5,31,116,56"/>
<area shape="rect" href="class_map3_d.html#a040d312358c64b62f6e02e8c01872fe3" title="Inicjalizuje widgety pochodne." alt="" coords="164,5,329,31"/>
<area shape="poly" title=" " alt="" coords="116,33,150,28,151,34,116,39"/>
<area shape="rect" href="class_map3_d.html#aa23ceb64ab792b7873d80b070c20f066" title="Ustawia widget&#39;y pochodne w pionie." alt="" coords="179,55,314,80"/>
<area shape="poly" title=" " alt="" coords="116,48,166,54,165,60,116,53"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a040d312358c64b62f6e02e8c01872fe3" name="a040d312358c64b62f6e02e8c01872fe3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a040d312358c64b62f6e02e8c01872fe3">&#9670;&#160;</a></span>setStoredWidget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Map3D::setStoredWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Metoda wirtualna klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>. Nadaje przechowywanym widgetom odpowiednie ustawienia, wygląd, zależnie od danego widgetu.</p>
<p>Definiuje zachowanie się geometrii kontenera z oknem do wyświetlania grafiki. </p>

<p>Implementuje <a class="el" href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">FramedWidget</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="_map3_d_8cpp_source.html#l00037">37</a> pliku <a class="el" href="_map3_d_8cpp_source.html">Map3D.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_map3_d_a040d312358c64b62f6e02e8c01872fe3_icgraph.png" border="0" usemap="#aclass_map3_d_a040d312358c64b62f6e02e8c01872fe3_icgraph" alt=""/></div>
<map name="aclass_map3_d_a040d312358c64b62f6e02e8c01872fe3_icgraph" id="aclass_map3_d_a040d312358c64b62f6e02e8c01872fe3_icgraph">
<area shape="rect" title="Inicjalizuje widgety pochodne." alt="" coords="164,5,329,31"/>
<area shape="rect" href="class_map3_d.html#abad559ba63171f87aaf6a2574d3c3dd5" title="Inicjalizuje obiekt klasy Map3D." alt="" coords="5,5,116,31"/>
<area shape="poly" title=" " alt="" coords="150,21,116,21,116,15,150,15"/>
</map>
</div>

</div>
</div>
<a id="aa23ceb64ab792b7873d80b070c20f066" name="aa23ceb64ab792b7873d80b070c20f066"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa23ceb64ab792b7873d80b070c20f066">&#9670;&#160;</a></span>setVLayout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Map3D::setVLayout </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Metoda wirtualna klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>.</p>
<p>Idąc od góry, ustawiany jest tytuł a następnie kontener z oknem. </p>

<p>Implementuje <a class="el" href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">FramedWidget</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="_map3_d_8cpp_source.html#l00048">48</a> pliku <a class="el" href="_map3_d_8cpp_source.html">Map3D.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_map3_d_aa23ceb64ab792b7873d80b070c20f066_icgraph.png" border="0" usemap="#aclass_map3_d_aa23ceb64ab792b7873d80b070c20f066_icgraph" alt=""/></div>
<map name="aclass_map3_d_aa23ceb64ab792b7873d80b070c20f066_icgraph" id="aclass_map3_d_aa23ceb64ab792b7873d80b070c20f066_icgraph">
<area shape="rect" title="Ustawia widget&#39;y pochodne w pionie." alt="" coords="164,5,299,31"/>
<area shape="rect" href="class_map3_d.html#abad559ba63171f87aaf6a2574d3c3dd5" title="Inicjalizuje obiekt klasy Map3D." alt="" coords="5,5,116,31"/>
<area shape="poly" title=" " alt="" coords="150,21,116,21,116,15,150,15"/>
</map>
</div>

</div>
</div>
<a id="aaf51a6397305a161ddffa25e06eaa18f" name="aaf51a6397305a161ddffa25e06eaa18f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf51a6397305a161ddffa25e06eaa18f">&#9670;&#160;</a></span>moveRobot()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Map3D::moveRobot </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>left</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>right</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>time_interval</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Funkcja pomocnicza, która ma na celu przekazanie prędkości obu kół jak i przedziału czasowego (czas działania głównego timera).</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">left</td><td>- wypełnienie PWM lewego koła (może być ujemne) </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">right</td><td>- wypełnienie PWM prawego kołą (może być ujemne) </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">-</td><td>time_interval - ułamek czasu, w którym robot się przemieszczał z powyższymi prędkościami </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_map3_d_8hpp_source.html#l00068">68</a> pliku <a class="el" href="_map3_d_8hpp_source.html">Map3D.hpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_map3_d_aaf51a6397305a161ddffa25e06eaa18f_cgraph.png" border="0" usemap="#aclass_map3_d_aaf51a6397305a161ddffa25e06eaa18f_cgraph" alt=""/></div>
<map name="aclass_map3_d_aaf51a6397305a161ddffa25e06eaa18f_cgraph" id="aclass_map3_d_aaf51a6397305a161ddffa25e06eaa18f_cgraph">
<area shape="rect" title="Przekazuje dane ruchu do modelu robota." alt="" coords="5,31,140,56"/>
<area shape="rect" href="class_viewer.html#a37a4c731034836effceb714e30d12297" title="Przekazuje dane ruchu do modelu robota." alt="" coords="188,31,323,56"/>
<area shape="poly" title=" " alt="" coords="140,41,174,41,174,46,140,46"/>
<area shape="rect" href="class_robot_model.html#a462c63bf18c587c8f6eb6459be6b6fbe" title="Oblicza nowe położenie i orietnację robota." alt="" coords="371,31,500,56"/>
<area shape="poly" title=" " alt="" coords="323,41,357,41,357,46,323,46"/>
<area shape="rect" href="_robot_model_8hpp.html#aecb475808c5b6047a80e78b980cb4fbb" title="Przekształca stopnie do radianów." alt="" coords="548,5,616,31"/>
<area shape="poly" title=" " alt="" coords="500,30,534,23,535,29,501,35"/>
<area shape="rect" href="_robot_model_8hpp.html#adbda2be3186f3f269760ccfba7f4412b" title="Przekształca radiany w stopnie." alt="" coords="548,55,616,80"/>
<area shape="poly" title=" " alt="" coords="501,51,535,57,534,62,500,57"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_map3_d_aaf51a6397305a161ddffa25e06eaa18f_icgraph.png" border="0" usemap="#aclass_map3_d_aaf51a6397305a161ddffa25e06eaa18f_icgraph" alt=""/></div>
<map name="aclass_map3_d_aaf51a6397305a161ddffa25e06eaa18f_icgraph" id="aclass_map3_d_aaf51a6397305a161ddffa25e06eaa18f_icgraph">
<area shape="rect" title="Przekazuje dane ruchu do modelu robota." alt="" coords="464,5,599,31"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="af1db43c016f502a56149a6fe3acdd365" name="af1db43c016f502a56149a6fe3acdd365"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1db43c016f502a56149a6fe3acdd365">&#9670;&#160;</a></span>passMeasure()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Map3D::passMeasure </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>new_measure</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">new_measure</td><td>- nowy odczyt z czujnika w [mm] </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>- indeks w tablicy czujników (numer czujnika 0 - lewy, 1 - lewy przedni, 2 - prawy przedni, 3 - prawy) </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_map3_d_8hpp_source.html#l00076">76</a> pliku <a class="el" href="_map3_d_8hpp_source.html">Map3D.hpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_map3_d_af1db43c016f502a56149a6fe3acdd365_cgraph.png" border="0" usemap="#aclass_map3_d_af1db43c016f502a56149a6fe3acdd365_cgraph" alt=""/></div>
<map name="aclass_map3_d_af1db43c016f502a56149a6fe3acdd365_cgraph" id="aclass_map3_d_af1db43c016f502a56149a6fe3acdd365_cgraph">
<area shape="rect" title="Przekazuje robotowi odczyt z danego czujnika." alt="" coords="5,5,152,31"/>
<area shape="rect" href="class_viewer.html#a6a232130dc19f5204dc8c30a11fe9c56" title="Przekazuje robotowi odczyt z danego czujnika." alt="" coords="200,5,347,31"/>
<area shape="poly" title=" " alt="" coords="152,15,186,15,186,21,152,21"/>
<area shape="rect" href="class_robot_model.html#a134ea6dbabe4c3e668f5ac4a9ded970f" title="Dodaje nowy pomiar z danego czujnika." alt="" coords="395,5,560,31"/>
<area shape="poly" title=" " alt="" coords="347,15,381,15,381,21,347,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_map3_d_af1db43c016f502a56149a6fe3acdd365_icgraph.png" border="0" usemap="#aclass_map3_d_af1db43c016f502a56149a6fe3acdd365_icgraph" alt=""/></div>
<map name="aclass_map3_d_af1db43c016f502a56149a6fe3acdd365_icgraph" id="aclass_map3_d_af1db43c016f502a56149a6fe3acdd365_icgraph">
<area shape="rect" title="Przekazuje robotowi odczyt z danego czujnika." alt="" coords="464,5,611,31"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="a80745e5f188844063a60711d1c28ceb1" name="a80745e5f188844063a60711d1c28ceb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80745e5f188844063a60711d1c28ceb1">&#9670;&#160;</a></span>refresh()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Map3D::refresh </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Wymusza wywołanie metody 'update()' klasy <a class="el" href="class_viewer.html" title="Okno z modelami trójwymiarowymi.">Viewer</a>, co z kolei powoduje ponowne odrysowanie elementów w oknie. </p>

<p class="definition">Definicja w linii <a class="el" href="_map3_d_8hpp_source.html#l00083">83</a> pliku <a class="el" href="_map3_d_8hpp_source.html">Map3D.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_map3_d_a80745e5f188844063a60711d1c28ceb1_icgraph.png" border="0" usemap="#aclass_map3_d_a80745e5f188844063a60711d1c28ceb1_icgraph" alt=""/></div>
<map name="aclass_map3_d_a80745e5f188844063a60711d1c28ceb1_icgraph" id="aclass_map3_d_a80745e5f188844063a60711d1c28ceb1_icgraph">
<area shape="rect" title="Odświeża widok w oknie grafiki." alt="" coords="464,5,573,31"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="ad29147f780b915a93ea20e2219ebde1d" name="ad29147f780b915a93ea20e2219ebde1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad29147f780b915a93ea20e2219ebde1d">&#9670;&#160;</a></span>returnRobotDistance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Map3D::returnRobotDistance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Przekazuje poziom wyżej przebytą przez robota drogę.</p>
<dl class="section return"><dt>Zwraca</dt><dd>przebyta odległość w [cm] - prwyatny atrybut klasy <a class="el" href="class_robot_model.html" title="Trójwymiarowy model robota.">RobotModel</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_map3_d_8hpp_source.html#l00091">91</a> pliku <a class="el" href="_map3_d_8hpp_source.html">Map3D.hpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_map3_d_ad29147f780b915a93ea20e2219ebde1d_cgraph.png" border="0" usemap="#aclass_map3_d_ad29147f780b915a93ea20e2219ebde1d_cgraph" alt=""/></div>
<map name="aclass_map3_d_ad29147f780b915a93ea20e2219ebde1d_cgraph" id="aclass_map3_d_ad29147f780b915a93ea20e2219ebde1d_cgraph">
<area shape="rect" title="Zwraca całkowitą odległość przebytą przez robota." alt="" coords="5,5,192,31"/>
<area shape="rect" href="class_viewer.html#a2996edb66665ac972e036ee6b55608da" title="Zwraca odległość przebytą przez robota." alt="" coords="240,5,427,31"/>
<area shape="poly" title=" " alt="" coords="192,15,226,15,226,21,192,21"/>
<area shape="rect" href="class_robot_model.html#a127d30bb649582d905960e7c144e9d58" title="Zwraca odległość przebytą przez robota." alt="" coords="475,5,689,31"/>
<area shape="poly" title=" " alt="" coords="427,15,461,15,461,21,427,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_map3_d_ad29147f780b915a93ea20e2219ebde1d_icgraph.png" border="0" usemap="#aclass_map3_d_ad29147f780b915a93ea20e2219ebde1d_icgraph" alt=""/></div>
<map name="aclass_map3_d_ad29147f780b915a93ea20e2219ebde1d_icgraph" id="aclass_map3_d_ad29147f780b915a93ea20e2219ebde1d_icgraph">
<area shape="rect" title="Zwraca całkowitą odległość przebytą przez robota." alt="" coords="464,5,651,31"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="451,21,416,21,416,15,451,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a5ade1d2cb83558dd53329fb1eca1ec20" name="a5ade1d2cb83558dd53329fb1eca1ec20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ade1d2cb83558dd53329fb1eca1ec20">&#9670;&#160;</a></span>map</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_viewer.html">Viewer</a>* Map3D::map</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_map3_d_8hpp_source.html#l00028">28</a> pliku <a class="el" href="_map3_d_8hpp_source.html">Map3D.hpp</a>.</p>

</div>
</div>
<a id="ac560249dab7296b25ef7ce2a25902d55" name="ac560249dab7296b25ef7ce2a25902d55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac560249dab7296b25ef7ce2a25902d55">&#9670;&#160;</a></span>map_container</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QWidget* Map3D::map_container</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_map3_d_8hpp_source.html#l00032">32</a> pliku <a class="el" href="_map3_d_8hpp_source.html">Map3D.hpp</a>.</p>

</div>
</div>
<a id="a9139711c985ad185f92c016c48620657" name="a9139711c985ad185f92c016c48620657"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9139711c985ad185f92c016c48620657">&#9670;&#160;</a></span>map_container_layout</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QVBoxLayout* Map3D::map_container_layout</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_map3_d_8hpp_source.html#l00036">36</a> pliku <a class="el" href="_map3_d_8hpp_source.html">Map3D.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="_map3_d_8hpp_source.html">Map3D.hpp</a></li>
<li><a class="el" href="_map3_d_8cpp_source.html">Map3D.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_map3_d.html">Map3D</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
